13bit
Posts: 2
Joined: Wed Jun 22, 2022 4:27 pm

AIY vision bonnet not working with HQ Camera

Wed Jun 22, 2022 11:49 pm

I'm trying to connect a Raspberry Pi high quality camera to my AIY vision bonnet, but I'm getting several errors when running the examples. The camera will not take a picture with raspistill when connected to the vision bonnet, but raspistill works just fine when the camera is connected directly to the Pi Zero. I've verified the command line image capture behavior on the Google-provided image as well as on a fresh Raspbian Bullseye image.

So, the camera and ribbon cable seem to be fine, and I can only assume the problem is with the vision bonnet.

Has anyone had any success using the HQ camera? I'm not sure at this point whether there's some configuration or software package I need to get it to work, or if it's just an incompatible device. Is this possible to do, or am I out of luck?

For reference, here is the error trace when running image_classification_camera.py:

Code: Select all

Traceback (most recent call last):
  File "./image_classification_camera.py", line 39, in CameraPreview
    yield
  File "./image_classification_camera.py", line 56, in main
    CameraInference(image_classification.model()) as inference:
  File "/home/pi/AIY-projects-python/src/aiy/vision/inference.py", line 109, in __init__
    self._engine.start_camera_inference(model_name, params, sparse_configs)
  File "/home/pi/AIY-projects-python/src/aiy/vision/inference.py", line 355, in start_camera_inference
    sparse_configs=_get_sparse_configs(sparse_configs))))
  File "/home/pi/AIY-projects-python/src/aiy/vision/inference.py", line 288, in _communicate
    return self._communicate_bytes(request.SerializeToString(), timeout=timeout)
  File "/home/pi/AIY-projects-python/src/aiy/vision/inference.py", line 294, in _communicate_bytes
    raise InferenceException(response.status.message)
aiy.vision.inference.InferenceException: Camera is not running.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./image_classification_camera.py", line 64, in <module>
    main()
  File "./image_classification_camera.py", line 61, in main
    camera.annotate_text = '%s (%.2f)' % classes[0]
  File "/usr/lib/python3.7/contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "./image_classification_camera.py", line 42, in CameraPreview
    camera.stop_preview()
  File "/usr/lib/python3/dist-packages/picamera/camera.py", line 813, in stop_preview
    self._check_camera_open()
  File "/usr/lib/python3/dist-packages/picamera/camera.py", line 538, in _check_camera_open
    raise exc
  File "/usr/lib/python3/dist-packages/picamera/camera.py", line 1995, in _control_callback
    "No data recevied from sensor. Check all connections, "
picamera.exc.PiCameraRuntimeError: No data recevied from sensor. Check all connections, including the SUNNY chip on the camera board

trejan
Posts: 4557
Joined: Tue Jul 02, 2019 2:28 pm

Re: AIY vision bonnet not working with HQ Camera

Thu Jun 23, 2022 1:02 am

The AIY vision bonnet only supports the v2 camera. Everything else is not compatible.

13bit
Posts: 2
Joined: Wed Jun 22, 2022 4:27 pm

Re: AIY vision bonnet not working with HQ Camera

Thu Jun 23, 2022 5:49 pm

Thanks -- I was afraid that was the case.

Return to “AIY Projects”